# Concertina_JS_Rails

![concertina](https://cloud.githubusercontent.com/assets/4082442/13274615/ba454a7a-db00-11e5-810c-d9c0e4c65197.gif)

Lightweight accordion UI.

## Etymology

The pirates used a type of accordion, called a "concertina".

![image](https://cloud.githubusercontent.com/assets/4082442/13274659/1f06d8de-db01-11e5-8a5d-3440190a6e38.png)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'concertina_js_rails'
```

And then execute:

    $ bundle

## Usage

#### Importing files
application.scss
```ruby
 @import 'concertina';
```
application.js
```ruby
//= require concertina
```

#### Sample markup

```html
<div class="Concertina-wrap">
  <div class="Concertina-item">
    <div class="Concertina-title">What is GST?</div>
    <div class="Concertina-text">
      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Omnis dolore dicta aspernatur libero, est, quia nobis dolor!
    </div>
  </div>
  <div class="Concertina-item">
    <div class="Concertina-title">How does GST work?</div>
    <div class="Concertina-text">
      Modi suscipit dolores vero maxime, nesciunt placeat, ab reprehenderit doloribus.
    </div>
  </div>
</div>
```

#### Overriding colors

Create some sass variables to overwrite the gem defaults. See below:
```scss
$concertina-border-color: red;
$concertina-icon-color: green;
$concertina-title-color: blue;
$concertina-text-color: grey;
```
Will result in:

![image](https://cloud.githubusercontent.com/assets/4082442/13275010/545c6f00-db04-11e5-9ac7-a2ea717722ba.png)

P.S. The above is **hideous**, please don't copy it.

---

## Contributing

If you'd like to contribute a feature or bug fix, please post a pull request and describe what you've done and why you've done it.

## Licence & Legals

The contents of this repository are Copyright © 2016 PwC. All rights reserved. PwC refers to the PwC network and/or one or more of its member firms, each of which is a separate legal entity. It is free software, and may be redistributed under the terms specified in the LICENSE file.

## About PwC Ventures

This repository is maintained and funded by PwC Ventures. The names and logos for PwC and PwC Ventures are trademarks of PwC.

We're hiring! Contact our Group Product Manager at [ben@pwcshipyard.com](ben@pwcshipyard.com) to find out more.
